demo.state1 = function(){};
var cursors, vel = 500, rocks, beach;

demo.state1.prototype = {
    preload: function(){
        game.load.tilemap('beach2', 'assets/tilemaps/beach.json', null, Phaser.Tilemap.TILED_JSON);
        game.load.image('beach-grass-tile', 'assets/tilemaps/beach-grass-tile.png');
        game.load.image('rock-tile', 'assets/tilemaps/rock-tile.png');
        game.load.image('jorma', 'assets/sprites/penis.png');
    },
    create: function(){
        game.physics.startSystem(Phaser.Physics.ARCADE);
        game.stage.backgroundColor = '#DDDDDD';
        addChangeStateEventListeners();

        var map = game.add.tilemap('beach2');
        map.addTilesetImage('beach-grass-tile');
        map.addTilesetImage('rock-tile');

        beach = map.createLayer('beach');
        rocks = map.createLayer('rocks');

        map.setCollisionBetween(1, 9, true, 'rocks');
        map.setCollision(11, true, 'beach');

        jorma = game.add.sprite(30, 30, 'jorma');
        jorma.scale.setTo(0.2, 0.2);
        game.physics.enable(jorma);

        cursors = game.input.keyboard.createCursorKeys();
    },
    update: function(){
        game.physics.arcade.collide(jorma, rocks, function(){console.log('dickrock collision!')});
        game.physics.arcade.collide(jorma, beach, function(){console.log('dickbush collision!')});

        if(cursors.up.isDown){
            jorma.body.velocity.y = -vel;
        }
        else if(cursors.down.isDown){
            jorma.body.velocity.y = vel;
        }
        else {
            jorma.body.velocity.y = 0;
        }
        if(cursors.left.isDown){
            jorma.body.velocity.x = -vel;
        }
        else if(cursors.right.isDown){
            jorma.body.velocity.x = vel;
        }
        else {
            jorma.body.velocity.x = 0;
        }
    }
}